felix-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Neil Bartlett <njbartl...@gmail.com>
Subject Re: Felix SCR for Declarative Services 1.2
Date Thu, 04 Oct 2012 17:55:25 GMT
Not directly an answer for your question, but Equinox 3.8 DS does 
implement 1.2 (it's the RI) and will run on Felix. You need to get the 
o.e.equinox.ds, o.e.equinox.util and o.e.equinox.supplement bundles, I 
believe.

However... why not just compile against 
org.osgi.service.component;version=1.1? Are you actually using the new 
1.2 features?

Regards,
Neil

> Caspar MacRae <mailto:earcam@gmail.com>
> 4 October 2012 18:40
> Hello,
>
> Is there a version of Felix SCR that works with OSGi 4.3.0?
>
> My activate methods aren't being called as they're compiled against
> org.osgi.service.component;version="[1.2,2)" and org.apache.felix.scr is
> using org.osgi.service.component;version="[1.1,1.2)". I can't (easily)
> remove the dependencies on ComponentContext at the moment.
>
> https://repository.apache.org/content/groups/snapshots/org/apache/felix/org.apache.felix.scr/1.6.1-SNAPSHOT/org.apache.felix.scr-1.6.1-20120705.183852-4.jaris
> also using 1.1 and I can't find anything newer.
>
> Apologies if this is documented somewhere, I searched but did not find.
>
>
> thanks,
> Caspar
>

Mime
View raw message